#!/usr/bin/env python2

from hy.importer import import_file_to_ast
import astor.codegen
import os
import sys
import re

LONG_RE = r'(\d+)L'


def main():
    thnap_filename = sys.argv[1]
    snap_filename = os.path.splitext(thnap_filename)[0] + '.py'

    # Borrowed from hy.cmdline.hy2py_main
    # Translate from hy to SNAP-compatible py
    ast = import_file_to_ast(thnap_filename, '<STDIN>')
    snappy_src = astor.codegen.to_source(ast)

    with open(snap_filename, 'wt') as f:
        for line in snappy_src.split('\n'):
            # Fix up the long ints
            line = re.sub(LONG_RE, r'\1', line)
            f.write(line + '\n')


if __name__ == '__main__':
    main()
